Subject: 24.4; AltGr not working after Xmodmap
From: Christoph-Simon Senjak <[email-masked]>
To: [email-masked]
Date: Wed, 10 Feb 2016 14:53:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have the following .Xmodmap:

     keycode 135 = Alt_L
     keycode 167 = Page_Down
     keycode 166 = Page_Up
     remove mod4 = Super_L
     add    mod5 = Super_L

  Otherwise, my keymap is

     de nodeadkeys compose:caps

  Since the .Xmodmap, I cannot type in stuff that requires AltGr anymore 
(even
  though I did not even remap it). Even with the new mod5 key it doesn't
  work. (For example, AltGr+q is (at), and AltGr+7,8,9,0 are braces.

  In all other applications (including emacs -nw), it works well.

  Best Regards,
  Christoph-Simon Senjak

Date: Wed, 10 Feb 2016 14:49:50 +0100
Message-ID: 
<[email-masked]>
--text follows this line--

In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.25)
  of 2015-02-27 on localhost
Windowing system distributor `The X.Org Foundation', version 11.0.11704000
Configured using:
  `configure --disable-dependency-tracking
  --prefix=/nix/store/6q7pnnp5kvk3s6iylii6gk1z3pph5hgq-emacs-24.4
  --with-x-toolkit=gtk --with-xft'

Important settings:
   value of $LANG: de_DE.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
M-x r e p o r SPC e SPC SPC <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
s-ß is undefined
s-q is undefined
delete-backward-char: Text is read-only

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 71219 5686)
  (symbols 48 17481 0)
  (miscs 40 35 163)
  (strings 32 9123 4703)
  (string-bytes 1 265855)
  (vectors 16 8937)
  (vector-slots 8 384497 17970)
  (floats 8 63 232)
  (intervals 56 179 16)
  (buffers 960 11)
  (heap 1024 32819 770))